stages:
  - deploy

deploy_astra_os:
  stage: deploy
  tags:
    - schematic_runner
  before_script:
    - sudo apt-get update -y && sudo apt-get install -y rsync
  script:
    - SRC_DIR="./AstraOS"
    - DEST_DIR="/var/www/astra_os"
    - echo "Deploying from $SRC_DIR to $DEST_DIR ..."
    - sudo mkdir -p "$DEST_DIR"
    - sudo rsync -avz --delete --exclude '.git' --exclude '.gitlab-ci.yml' "$SRC_DIR/" "$DEST_DIR/"
  only:
    - main